The topN query uses an Elasticsearch terms facet to find the most common terms in a field and build queries from the result. The topN query uses LUCENE query string syntax

#### Parameters

- Field / The field to facet on. Fields with a large number of unique terms will use more memory to calculate.
- Count / How many queries to generate. The resulting queries will use brightness variations on the original query's color for their own.
- Union / The relation the generated queries have to the original. For example, if your field was set to 'extension', your original query was "user:B.Awesome" and your union was AND. Kibana might generate the following example query: `extension:"html" AND (user:B.Awesome)`